Name: ngrep
Summary: Mimicks as much functionality in GNU grep as possible at the network layer
Version: 1.45
Release: 1.1
License: GPLv2
Group: Productivity/Networking/Other
URL: http://ngrep.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: libpcap-devel


%description
ngrep strives to provide most of GNU grep's common features,
applying them to the network layer.  ngrep is a pcap-aware tool that
will allow you to specify extended regular or hexadecimal
expressions to match against data payloads of packets.  It currently
recognizes IPv4/6, TCP, UDP, ICMPv4/6, IGMP and Raw across Ethernet,
PPP, SLIP, FDDI, Token Ring and null interfaces, and understands BPF
filter logic in the same fashion as more common packet sniffing
tools, such as tcpdump and snoop.
  

%prep  
%setup -q
  
%build  
%configure --with-pcap-includes=/usr/include/pcap --prefix=%_prefix
%{__make}
  
%install  
%{__make} DESTDIR=%{buildroot} install
  
%clean  
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)  
%doc %{_mandir}/man8/ngrep.8.gz
%attr(755,root,root)/usr/bin/ngrep
%changelog
* Thu Apr 14 2011 jamesp@vicidial.com
- OBS Cleanup to make things more proper
- Version 1.45
